import logging

import azure.functions as func


def main(req: func.HttpRequest) -> func.HttpResponse:
    logging.info('Python HTTP trigger function processed a request.')

    body = req.params.get('Body')
    a, op, b = body.split()
    if op == '+':
        result = int(a) + int(b)
    if op == '*':
        result = int(a) * int(b)

    return func.HttpResponse(f"the answer is {result}")
